LPCOpen Platform for LPC18XX/43XX microcontrollers: Data Structures

| LPCOpen Platform for LPC18XX/43XX microcontrollers 18XX43XX LPCOpen Platform for the NXP LPC18XX/43XX family of Microcontrollers

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Structures
Here are the data structures with brief descriptions:

ADC_CLOCK_SETUP_T |
AES_API_T | LPC18XX_43XX AES API structure
CCAN_IF_T | CCAN message interface register block structure
CCAN_MSG_OBJ_T | CAN message object structure
CCU_CFGSTAT_T | CCU clock config/status register pair
CGU_PLL_REG_T |
CGU_USBAUDIO_PLL_SETUP_T |
Chip_SSP_DATA_SETUP_T |
CLK_BASE_STATES |
CLK_PERIPH_TO_BASE_T |
Codec_Cfg_t |
CRSDCEG_T |
DMA_ChannelHandle_t | DMA channel handle structure
DMA_TransferDescriptor_t | Transfer Descriptor structure typedef
ENET_ENHRXDESC_T | Structure of a enhanced receive descriptor (with timestamp)
ENET_ENHTXDESC_T | Structure of a enhanced transmit descriptor (with timestamp)
ENET_RXDESC_T | Structure of a receive descriptor (without timestamp)
ENET_TXDESC_T | Structure of a transmit descriptor (without timestamp)
FONT_T |
GPDMA_CH_CFG_T | GPDMA structure using for DMA configuration
GPDMA_CH_T | GPDMA Channel register block structure
HSADCINTCTRL_T | High speed ADC interrupt control structure
i2c_interface |
i2c_slave_interface |
I2C_XFER_T | Master transfer data structure definitions
I2CM_XFER_T | Master transfer data structure definitions
I2S_AUDIO_FORMAT_T | I2S Audio Format Structure
io_port_t |
IP_EMC_DYN_CONFIG_T | EMC Dynamic Configure Struct
IP_EMC_DYN_DEVICE_CONFIG_T | EMC Dynamic Device Configuration structure used for IP drivers
IP_EMC_STATIC_CONFIG_T | EMC Static Configure Structure
K9F1G_ID_T |
LCD_CONFIG_T | A structure for LCD Configuration
LCD_PALETTE_ENTRY_T | LCD Palette entry format
LPC_ADC_T | 10 or 12-bit ADC register block structure
LPC_ATIMER_T | Alarm Timer register block structure
LPC_CCAN_T | CCAN Controller Area Network register block structure
LPC_CCU1_T | CCU1 register block structure
LPC_CCU2_T | CCU2 register block structure
LPC_CGU_T | LPC18XX/43XX CGU register block structure
LPC_CREG_T | CREG Register Block
LPC_DAC_T | DAC register block structure
LPC_EEPROM_T | EEPROM register block structure
LPC_EMC_T | External Memory Controller (EMC) register block structure
LPC_ENET_T | 10/100 MII & RMII Ethernet with timestamping register block structure
LPC_EVRT_T | Event Router register structure
LPC_FMC_T | FLASH Memory Controller Unit register block structure
LPC_GIMA_T | Global Input Multiplexer Array (GIMA) register block structure
LPC_GPDMA_T | GPDMA register block
LPC_GPIO_T | GPIO port register block structure
LPC_GPIOGROUPINT_T | GPIO grouped interrupt register block structure
LPC_HSADC_T | HSADC register block structure
LPC_I2C_T | I2C register block structure
LPC_I2S_T | I2S register block structure
LPC_LCD_T | LCD Controller register block structure
LPC_MCPWM_T | Motor Control PWM register block structure
lpc_nandflash_size_t | NAND Flash Size structure
LPC_OTP_T | OTP Register block
LPC_PIN_INT_T | LPC18xx/43xx Pin Interrupt and Pattern Match register block structure
LPC_PMC_T | Power Management Controller register block structure
LPC_QEI_T | Quadrature Encoder Interface register block structure
LPC_REGFILE_T | Register File register block structure
LPC_RGU_T | RGU register structure
LPC_RITIMER_T | Repetitive Interrupt Timer register block structure
LPC_ROM_API_T | LPC18XX High level ROM API structure
LPC_RTC_T | Real Time Clock register block structure
LPC_SCT_T | State Configurable Timer register block structure
LPC_SCU_T | System Control Unit register block
LPC_SDMMC_T | SD/MMC & SDIO register block structure
LPC_SSP_T | SSP register block structure
LPC_TIMER_T | 32-bit Standard timer register block structure
LPC_USART_T | USART register block structure
LPC_USBHS_T | USB High-Speed register block structure
LPC_WWDT_T | Windowed Watchdog register block structure
mci_card_struct |
MEM_TEST_SETUP_T | Memory test address/size and result structure
OTP_API_T | LPC18XX_43XX OTP API structure
PINMUX_GRP_T | Array of pin definitions passed to Chip_SCU_SetPinMuxing() must be in this format
PLL_PARAM_T | PLL Parameter strucutre
pSDMMC_DMA_T | SDIO chained DMA descriptor
RINGBUFF_T | Ring buffer structure
RTC_EV_TIMESTAMP_T | Event Monitor/Recorder Timestamp structure
RTC_TIME_T |
sdif_device | SDIO device type
SDMMC_CARD_T | SD/MMC Card specific setup data structure
SPI_Address_t |
SPIFI_DEV_ENUMERATOR_T | Context for enumerating devices
SPIFI_DEV_NODE_T | Register device data node
SPIFI_DEVICE_DATA_T | Register device data
SPIFI_DEVICE_ID_T | Device identification data
SPIFI_FAM_DESC_T | LPCSPIFILIB family descriptor, used to describe devices to non-device specific functions
SPIFI_FAM_FX_T | Device specific function pointers
SPIFI_FAM_NODE_T | LPCSPIFILIB family data
SPIFI_HANDLE_T | LPCSPIFILIB device handle, used with all device and info functions
SPIFI_INFODATA_T | Common data applicable to all devices
SSP_ConfigFormat |
TSC2046_Init_T |
WM8903_Init_Seq_t |
wm8903_register_lookup_table |
WM8904_Init_Seq_t |